Package sudoku.solver

# Record Class HintHelper.Hint

java.lang.Object
java.lang.Record
sudoku.solver.HintHelper.Hint

Enclosing class:
  `HintHelper`

public static record HintHelper.Hint(Cell cell, int newValue) extends Record

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `Hint(Cell cell, int newValue)`
  Creates an instance of a `Hint` record class.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `Cell`
  `cell()`
  Returns the value of the `cell` record component.
  `final boolean`
  `equals(Object o)`
  Indicates whether some other object is "equal to" this one.
  `final int`
  `hashCode()`
  Returns a hash code value for this object.
  `int`
  `newValue()`
  Returns the value of the `newValue` record component.
  `final String`
  `toString()`
  Returns a string representation of this record class.

  ### Methods inherited from class java.lang.Object

  `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### Hint

    public Hint(Cell cell, int newValue)
    Creates an instance of a `Hint` record class.
    Parameters:
      `cell` - the value for the `cell` record component
      `newValue` - the value for the `newValue` record component

- ## Method Details

  - ### toString

    public final String toString()
    Returns a string representation of this record class. The representation contains the name of the class, followed by the name and value of each of the record components.
    Specified by:
      `toString` in class `Record`
    Returns:
      a string representation of this object

  - ### hashCode

    public final int hashCode()
    Returns a hash code value for this object. The value is derived from the hash code of each of the record components.
    Specified by:
      `hashCode` in class `Record`
    Returns:
      a hash code value for this object

  - ### equals

    public final boolean equals(Object o)
    Indicates whether some other object is "equal to" this one. The objects are equal if the other object is of the same class and if all the record components are equal. Reference components are compared with `Objects::equals(Object,Object)`; primitive components are compared with '=='.
    Specified by:
      `equals` in class `Record`
    Parameters:
      `o` - the object with which to compare
    Returns:
      `true` if this object is the same as the `o` argument; `false` otherwise.

  - ### cell

    public Cell cell()
    Returns the value of the `cell` record component.
    Returns:
      the value of the `cell` record component

  - ### newValue

    public int newValue()
    Returns the value of the `newValue` record component.
    Returns:
      the value of the `newValue` record component